    html,
    body {
        height: 100%;
        width: 100%;
    }
    
    html {
        scroll-behavior: smooth;
    }
    
    p,
    span {
        margin-bottom: 0 !important;
        font-family: 'louis_george_caferegular', 'Times New Roman', Times, serif;
    }
    
    a {
        color: #dfa855 !important;
    }
    
    a:hover {
        color: white !important;
        text-decoration: none !important;
    }
    
    h2 {
        font-family: 'caviar_dreamsregular', Arial, Helvetica, sans-serif;
    }
    
    h3 {
        font-family: 'caviar_dreamsregular', Arial, Helvetica, sans-serif;
        padding-bottom: 2rem;
    }
    
    .fadein {
        opacity: 0;
    }
    
    .shadow {
        background-color: white;
    }
    
    .shadow p {
        color: black;
    }
    
    header .bg-dark {
        background-color: black !important;
    }
    
    header a {
        font-size: 1.3rem;
    }
    
    .row {
        margin-left: 0px !important;
        margin-right: 0px !important;
    }
    
    .row>.col-md {
        margin: auto;
        text-align: center;
    }
    
    .centered-bottom>a>img {
        width: 2rem;
        height: 2rem;
        top: 50%;
    }
    
    .centered {
        position: absolute;
        top: 40%;
        left: 50%;
        transform: translate(-50%, -50%);
        color: white !important;
        text-align: center;
    }
    
    .centered-bottom {
        position: absolute;
        top: 95%;
        left: 50%;
        transform: translate(-50%, -50%);
        color: white !important;
        text-align: center;
    }
    
    .centered .row {
        background-color: rgba(0, 0, 0, 0);
        justify-content: center;
        padding: 1rem;
    }
    
    .parallax-main {
        background-image: url("../img/bg_main.webp");
        height: 100vh;
        /*Effet parralax*/
        background-attachment: fixed;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
    }
    
    #pres,
    #competences {
        min-height: 103vh;
    }
    
    #pres {
        background: linear-gradient(to bottom right, pink, #7c7cf8);
    }
    
    #diplomes {
        background: linear-gradient(to bottom right, #7c7cf8, pink);
        min-height: 80vh;
    }
    
    #diplomes .col-md {
        padding-top: 3rem;
        padding-bottom: 3rem;
    }
    
    #diplomes div {
        text-align: center;
        min-height: 4rem;
        margin-top: 4rem;
    }
    
    #diplomes #gear {
        animation: animationGear 3s ease infinite;
        transform-origin: center center;
        margin-bottom: 1rem;
        height: 3rem;
    }
    
    #diplomes #books {
        animation: animationBooks 3s ease infinite;
    }
    
    #diplomes #CCM {
        animation: animationCCM 3s ease infinite;
        height: 3rem;
        position: relative;
    }
    
    #diplomes span {
        text-decoration: underline;
    }
    
    #diplomes span:hover {
        color: white;
        cursor: pointer;
        text-decoration: underline;
    }
    
    #contact {
        color: white;
        min-height: 10vh;
        background-color: black;
    }
    
    #contact a {
        top: 50%;
        left: 50%;
    }
    
    #contact img {
        width: 3rem;
        height: auto;
        position: relative;
        top: 50%;
        transform: translateY(-50%);
    }
    
    #competences {
        background: linear-gradient(to top right, pink, #7c7cf8);
        padding-top: 3rem;
        padding-bottom: 3rem;
    }
    
    #competences img {
        width: 4rem;
        height: auto;
        margin: 2rem;
        transition: filter 0.5s ease 0s;
    }
    
    #competences img:hover {
        filter: invert(100%);
    }
    
    #competences .container-fluid {
        padding-right: 4rem;
        padding-left: 4rem;
    }
    
    #competences .container-fluid .row,
    #competences #competences .container-fluid .col-md {
        text-align: center;
    }
    
    #projets {
        min-height: 103vh;
        background: linear-gradient(to bottom right, pink,#7c7cf8);
    }
    
    #projets .col-md,
    #projets .row,
    #projets .col-md-4 {
        padding: 0;
        height: 100%;
    }
    
    #projets img {
        width: 100%;
    }
    
    #projets>.col-md>h2 {
        padding: 1rem;
    }
    
    footer img:hover {
        cursor: pointer;
    }
    
    footer div div>img {
        filter: invert(100%);
    }
    
    footer #mentions {
        background-color: black;
    }
    
    footer #mentions .col {
        text-align: center;
    }
    
    footer #mentions .col p,
    footer #mentions .col span {
        font-size: 1rem;
        color: white;
    }
    
    footer #mentions .col a {
        font-family: 'louis_george_caferegular', 'Times New Roman', Times, serif;
        font-size: 1rem;
    }
    
    .overlay {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        height: 100%;
        width: 100%;
        opacity: 0;
        transition: opacity 0.5s ease 0s;
        background-color: black;
    }
    
    .col-md:hover .overlay,
    .col-md-4:hover .overlay {
        opacity: 0.9;
    }
    
    .text {
        color: white;
        text-align: center;
        padding: 1rem;
        position: relative;
        top: 50%;
        transform: translateY(-50%);
    }
    
    .text h3 {
        padding-bottom: 0;
    }
    
    .centered img {
        height: 200px;
        width: auto;
        border-radius: 50%;
        animation: arriveePortrait 3s ease;
    }
    /* images svg */
    
    .parallax-main path {
        stroke: white;
        fill: white;
        stroke-dasharray: 1000;
        opacity: 10;
        animation: animationTexte 3s cubic-bezier(0, 0.23, 1, 0.1);
    }
    /* ************** Animation du portrait ************* */
    
    @keyframes arriveePortrait {
        0% {
            height: 0;
        }
        50% {
            height: 210px;
        }
        100% {
            height: 200px;
        }
    }
    /* ************** Animation du logo gear .svg ************* */
    
    @keyframes animationGear {
        0% {
            transform: rotate(0deg);
            height: 3rem;
        }
        30% {
            height: 2.5rem;
        }
        100% {
            height: 3rem;
            transform: rotate(360deg);
        }
    }
    /* ************** Animation du logo books .svg ************* */
    
    @keyframes animationBooks {
        0% {
            height: 2.5rem;
        }
        30% {
            height: 3rem;
        }
        100% {
            height: 2.5rem;
        }
    }
    /* ************** Animation du logo CCM .svg ************* */
    
    @keyframes animationCCM {
        0%,
        100% {
                  transform: translateX(0%);
                  transform-origin: 50% 50%;
        }
        15% {
                  transform: translateX(-30px) rotate(-6deg);
        }
        30% {
                  transform: translateX(15px) rotate(6deg);
        }
        45% {
                  transform: translateX(-15px) rotate(-3.6deg);
        }
        60% {
                  transform: translateX(9px) rotate(2.4deg);
        }
        75% {
                  transform: translateX(-6px) rotate(-1.2deg);
        }
      }
      
    /* ************** Animation du texte .svg ************* */
    
    @keyframes animationTexte {
        0% {
            opacity: 10;
            fill: none;
            stroke-dashoffset: 1000;
        }
        30% {
            opacity: 10;
            fill: none;
            stroke-dashoffset: 1000;
        }
        90% {
            fill: rgba(255, 255, 255, 0);
        }
        100% {
            opacity: 10;
            stroke-dashoffset: 0;
            fill: #ffffff;
        }
    }
    /* ************** Animation du bandeau cookies ************* */
    
    @keyframes animationCookies {
        0% {
            top: 8rem;
        }
        60% {
            background-color: rgba(0, 0, 0, 0);
        }
        100% {
            top: 0;
            background-color: rgba(0, 0, 0, 0.8);
        }
    }
    /* ************** Fin animation ************* */
    /* ************************* Bandeau cookies ************************* */
    /* The Modal (background) */
    
    header .modal {
        display: flex;
        align-items: flex-end;
        top: 8rem;
        animation: animationCookies 1.5s ease;
        animation-delay: 3.5s;
        animation-fill-mode: forwards;
        background-color: rgba(0, 0, 0, 0);
    }
    /* Modal Content/Box */
    
    header .modal-content {
        padding: 1rem;
        display: block;
    }
    
    @media screen and (min-width: 420px) {
        header .modal-content {
            height: 4rem;
        }
    }
    
    @media screen and (max-width: 420px) {
        header .modal-content {
            height: 6rem;
        }
    }
    
    header .modal-content img {
        width: 2rem;
        height: auto;
        margin-right: 0.5rem;
        vertical-align: bottom;
    }
    
    .close:hover,
    .close:focus {
        color: black;
        text-decoration: none;
        cursor: pointer;
    }
    /* ************************* fin bandeau cookies ************************* */
    /* ************************* Formulaire pop-up ************************* */
    /* Formulaire caché par défaut */
    
    #formulaireContact {
        background: linear-gradient(to top right, #7c7cf8, pink);
        display: none;
        bottom: 5rem;
        border-left: 50%;
        z-index: 9;
        /* style */
        /* style pour les input */
        /* style pour les boutons */
        /* background rouge pour le bouton d'annulation */
        /* hover effets */
    }
    
    #formulaireContact .form-container {
        padding: 10px;
    }
    
    @media screen and (min-width: 420px) {
        #formulaireContact .form-container {
            width: 70%;
        }
    }
    
    @media screen and (max-width: 420px) {
        #formulaireContact .form-container {
            width: 100%;
        }
    }
    
    #formulaireContact input {
        width: 50%;
        padding: 15px;
        margin: 5px 0 22px 0;
        border: 1px solid grey;
        background: white;
        color: black;
    }
    
    #formulaireContact input:valid {
        border: 1px solid #1aa008;
    }
    
    #formulaireContact textarea {
        max-width: 50%;
        background: white;
        color: black;
    }
    
    #formulaireContact .btn {
        background-color: #275828;
        color: white;
        padding: 16px 20px;
        border: none;
        cursor: pointer;
        width: 50%;
        margin-bottom: 10px;
        margin-top: 10px;
        opacity: 0.8;
    }
    
    #formulaireContact .cancel {
        background-color: #7e0b0b;
    }
    
    #formulaireContact .btn:hover,
    #formulaireContact .open-button:hover {
        opacity: 1;
        color: white;
    }
    /* ************************* Fin formulaire pop-up ************************* */
    /* **********************Ecran smartphone********************** */
    
    @media screen and (max-width: 420px) {
        p,
        span {
            font-size: 1.3rem;
            line-height: 1.8rem;
        }
        h1,
        h2 {
            font-size: 2rem !important;
        }
        .row>.col-md p {
            margin-left: auto;
            margin-right: auto;
            text-align: center;
            line-height: 2rem;
        }
        .centered .row {
            padding: 0.3rem;
        }
        svg {
            width: 200px;
            height: 30px;
        }
        .overlay .text h3 {
            font-size: 1.5rem;
        }
        .overlay .text p {
            font-size: 0.8rem;
        }
    }
    /* ************************************************************ */
    /* ********************* Ecran ordinateur ********************* */
    
    @media screen and (min-width: 420px) {
        p,
        span {
            font-size: 1.3rem;
            line-height: 2rem;
        }
        h2 {
            font-size: 2.3rem !important;
        }
        body div h3 {
            font-size: 1.5rem;
        }
        #diplomes p,
        span {
            font-size: 1.6rem;
        }
        .parallax-last {
            background-image: url("../img/parallax/parallax_last.webp");
            height: 50vh;
            /*Effet parralax*/
            background-attachment: fixed;
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
        }
        #competences .row {
            padding-top: 0px;
            padding-bottom: 1rem;
        }
        #competences p {
            font-size: 1rem;
        }
        #competences h3 {
            padding-bottom: 1rem;
        }
        .btn-group {
            max-width: 11rem;
        }
        .row>.col-md p {
            margin-left: auto;
            margin-right: auto;
        }
        svg {
            width: 400px;
            height: 50px;
        }
    }
    /* ************************************************************ */